org.eclipse.mat.ui.snapshot.panes.oql.textPartitioning

## Class OQLPartitionScanner

- java.lang.Object
- - RuleBasedPartitionScanner
  - - org.eclipse.mat.ui.snapshot.panes.oql.textPartitioning.OQLPartitionScanner

    public class OQLPartitionScanner
    extends RuleBasedPartitionScanner

Defines rules for identifying partitions in an OQL queries. Defined partitions are: SELECT, FROM, WHERE, UNION clauses.

### Field Summary

Fields
`static String` `COMMENT_CLAUSE`
`static String` `FROM_CLAUSE`
`static String` `SELECT_CLAUSE`
`static String` `UNION_CLAUSE`
`static String` `WHERE_CLAUSE`

### Constructor Summary

Constructors
Constructor and Description
`OQLPartitionScanner()` Defines the rules for splitting query into.

### Method Summary

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### SELECT_CLAUSE

    public static final String SELECT_CLAUSE

See Also:
  Constant Field Values

#### FROM_CLAUSE

    public static final String FROM_CLAUSE

See Also:
  Constant Field Values

#### WHERE_CLAUSE

    public static final String WHERE_CLAUSE

See Also:
  Constant Field Values

#### UNION_CLAUSE

    public static final String UNION_CLAUSE

See Also:
  Constant Field Values

#### COMMENT_CLAUSE

    public static final String COMMENT_CLAUSE

See Also:
  Constant Field Values

### Constructor Detail

#### OQLPartitionScanner

    public OQLPartitionScanner()

Defines the rules for splitting query into. Each rule starts with one of the reserved word and terminates with any of the others (due to nested queries). EOF is a valid terminator for the partition